Package Details: wdisplays-git 1.1.r0.ga9aa747-1

Git Clone URL: https://aur.archlinux.org/wdisplays-git.git (read-only, click to copy)
Package Base: wdisplays-git
Description: GUI display configurator for wlroots compositors
Upstream URL: https://github.com/artizirk/wdisplays
Licenses: GPL3
Conflicts: wdisplays
Provides: wdisplays
Submitter: KingofToasters
Maintainer: gmy
Last Packager: gmy
Votes: 12
Popularity: 2.72
First Submitted: 2019-08-15 12:38
Last Updated: 2021-04-20 11:33

Latest Comments

gmy commented on 2021-04-20 11:39

Adopted the package and changed repository URL, added icon and applied patches suggested in the comments.

auruser123 commented on 2021-04-12 10:24

Could we update this package to point to artizirk's repository ?

Maybe also open an issue with wlroots or sway upstream and see if we can somehow move the package into the sway organization, so that it can be maintained ?

arti commented on 2021-03-29 08:39

Looks like upstream repo is gone. I pushed the latest commits with emersion patch here https://github.com/artizirk/wdisplays

maricn commented on 2021-03-28 09:46

My AUR manager keeps on asking me for github login details thinking the repo went private.

Seems like cyclopsian removed their github account. wldisplays git source is unavailable. I've also looked up the project/person on https://sr.ht/~jf/wdisplays/ and https://gitlab.gnome.org/users/jf but there's no trace of wdisplays nor of any announcement about the discontinuation of the project.

Any news?

jgmdev commented on 2021-01-31 20:25

The use-correct-versions.patch seems to not be needed anymore and causes build to fail. Also a conflicts=(wdisplays) may be added because pacman is not prompting to uninstall wdisplays in favor of wdisplays-git and instead shows file conflicts.

maniacata commented on 2020-11-26 08:30

Though kanshi is useful in most times, wdisplays still speed up the configuration process by making it much easier with a GUI. Many thanks to author @cyclopsian and AUR package maintainer @KingofToasters :)

Ferdi265 commented on 2020-08-06 13:13

@Jaakkonen: Packages in the AUR may assume that packages from the base-devel package group are installed. pkg-config (or rather, its replacement, pkgconf) is part of the base-devel group, so no problem there.

See the Arch Wiki entry for AUR

Jaakkonen commented on 2020-07-02 21:20

Please add dependency to pkg-config

jomority commented on 2020-05-09 19:43

@cwrau You can apply the following patch:

diff --git a/PKGBUILD b/PKGBUILD
index cb9c929..032ad20 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,10 +1,10 @@
 # Maintainer: KingofToasters <dev@sgregoratto.me>
 pkgname=wdisplays-git
-pkgver=r14.ff536e1
+pkgver=r46.3471cfb
 pkgrel=1
 pkgdesc='GUI display configurator for wlroots compositors'
 url='https://github.com/cyclopsian/wdisplays'
-license=('MIT')
+license=('GPL3')
 provides=('wdisplays')
 arch=('i686' 'x86_64' 'armv6h' 'armv7h')
 depends=('gtk3' 'libepoxy' 'wayland' 'wayland-protocols')
@@ -28,6 +28,7 @@ build() {

 package() {
   DESTDIR="$pkgdir" ninja -C "$srcdir/build" install
-  install -Dm644 "${pkgname%-git}/LICENSE" \
-    "$pkgdir/usr/share/licenses/${pkgname}/LICENCE"
+  install -Dm755 -d "$pkgdir/usr/share/licenses/${pkgname}"
+  install -Dm644 "${pkgname%-git}"/LICENSES/* \
+    "$pkgdir/usr/share/licenses/${pkgname}/"
 }

I don't know if this is handling the licenses correctly.

cwrau commented on 2020-05-09 00:19

The build fails with the following error:

install: cannot stat 'wdisplays/LICENSE': No such file or directory

They changed their licensing structure: https://github.com/cyclopsian/wdisplays/commit/69564522bc12569c96a2192e2dd0d5d4bef8aa13